Slony-I REL_1_1_0 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# UNSUBSCRIBE SET

## Name

UNSUBSCRIBE SET -- End replication of Slony-I set

## Synopsis

`UNSUBSCRIBE SET (options);`

## Description

Stops the subscriber from replicating the set. The tables are opened up for full access by the client application on the former subscriber. The tables are not truncated or otherwise modified. All original triggers, rules and constraints are restored.

Warning
Resubscribing an unsubscribed set requires a complete fresh copy of data from the provider to be transferred since the tables have been subject to possible independent modifications.

`ID = ival`

  ID of the set to unsubscribe

`RECEIVER = ival`

  Node ID of the (former) subscriber

This uses schemadocunsubscribeset( integer, integer ).

## Example

    UNSUBSCRIBE SET (
       ID = 1,
       RECEIVER = 3
    );

Prev | Home | Next
SUBSCRIBE SET | Up | LOCK SET